package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF1F1Response {

    @Parameter(name = "ArtificianPersonAddressCity")
    String artificianPersonAddressCity();

    @Parameter(name = "ArtificianPersonAddressCountry")
    String artificianPersonAddressCountry();

    @Parameter(name = "ArtificianPersonAddressDescriptionNumber")
    String artificianPersonAddressDescriptionNumber();

    @Parameter(name = "ArtificianPersonAddressStreet")
    String artificianPersonAddressStreet();

    @Parameter(name = "ArtificianPersonAddressZIPCode")
    String artificianPersonAddressZIPCode();

    @Parameter(name = "ArtificianPersonBusinesName")
    String artificianPersonBusinesName();

    @Parameter(name = "Ico")
    String ico();

    @Parameter(name = "InstPtKey")
    String instPtKey();

    @Parameter(name = "RWS_BusinessData")
    java.util.List<MWF1F1RWSBusinessData> rWSBusinessData();

}